CREATE TABLE hry_pi_inbd_records (
    INBD_RECORD_ID             NUMBER(18, 0),
    SOURCE_TYPE                VARCHAR2(120)    NOT NULL,
    SOURCE_ID                  NUMBER(18, 0),
    FUNCTIONAL_CATEGORY        VARCHAR2(120)    NOT NULL,
    RECORD_TYPE                VARCHAR2(120)    NOT NULL,
    START_DATE                 DATE             NOT NULL,
    BATCH_CODE                 VARCHAR2(400)    NOT NULL,
    ENTITY_IDENTIFIER          VARCHAR2(120)    NOT NULL,
    END_DATE                   DATE         ,
    BATCH_DATE                 DATE             NOT NULL,
    VENDOR_CODE                VARCHAR2(120)    NOT NULL,
    PAYROLL_ID                 NUMBER(18, 0),
    TIME_PERIOD_ID             NUMBER(18, 0),
    PERSON_ID                  NUMBER(18, 0),
    PAYROLL_RELATIONSHIP_ID    NUMBER(18, 0),
    PAYROLL_TERM_ID            NUMBER(18, 0),
    PAYROLL_ASSIGNMENT_ID      NUMBER(18, 0),
    DOCUMENTS_OF_RECORD_ID     NUMBER(18, 0),
    CATEGORY_CODE              VARCHAR2(320)    NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID              NUMBER(18, 0)    NOT NULL,
    RECORD_IDENTIFIER          VARCHAR2(120),
    INBD_RECORD_ID             NUMBER(18, 0),
    SOURCE_TYPE                VARCHAR2(120)    NOT NULL,
    SOURCE_ID                  NUMBER(18, 0),
    FUNCTIONAL_CATEGORY        VARCHAR2(120)    NOT NULL,
    RECORD_TYPE                VARCHAR2(120)    NOT NULL,
    START_DATE                 DATE             NOT NULL,
    BATCH_CODE                 VARCHAR2(400)    NOT NULL,
    ENTITY_IDENTIFIER          VARCHAR2(120)    NOT NULL,
    END_DATE                   DATE         ,
    BATCH_DATE                 DATE             NOT NULL,
    VENDOR_CODE                VARCHAR2(120)    NOT NULL,
    PAYROLL_ID                 NUMBER(18, 0),
    TIME_PERIOD_ID             NUMBER(18, 0),
    PERSON_ID                  NUMBER(18, 0),
    PAYROLL_RELATIONSHIP_ID    NUMBER(18, 0),
    PAYROLL_TERM_ID            NUMBER(18, 0),
    PAYROLL_ASSIGNMENT_ID      NUMBER(18, 0),
    DOCUMENTS_OF_RECORD_ID     NUMBER(18, 0),
    CATEGORY_CODE              VARCHAR2(320)    NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID              NUMBER(18, 0)    NOT NULL,
    RECORD_IDENTIFIER          VARCHAR2(120),
    CONSTRAINT pk_hry_pi_inbd_records PRIMARY KEY (INBD_RECORD_ID, INBD_RECORD_ID)
);
